#!/bin/bash
set -e
# 指定文件夹路径
folder="/home/pi/mp4"

# 获取文件夹的大小
size=$(du -sh "$folder" | awk '{print int($1/1024/1024)}')
while [[ $size -gt 20 ]]
do
  # 获取最早创建的文件
  oldest_file=$(ls -tr | head -1 | xargs)
  rm -f $oldest_file
  size=$(du -sh "$folder" | awk '{print int($1/1024/1024)}')
  if [[ $size -le 20 ]]
  then
    exit 0
  fi
done